Page MenuHomePhabricator

WikimediaEvents fatals because our internal API request does not have a title
Closed, ResolvedPublic

Description

1mattflaschen@tin:/srv/mediawiki-staging (master)$ mwscript extensions/Flow/maintenance/convertLqtPageOnLocalWiki.php --wiki=testwiki --debug --srcpage 'User_talk:Hazard-SJ' --logfile "/tmp/Hazard_SJ_import_log.txt"
2[2015-04-23 23:57:57] Starting LQT conversion of page User_talk:Hazard-SJ
3[2015-04-23 23:57:57] Archiving page from User talk:Hazard-SJ to User talk:Hazard-SJ/LQT Archive 1
4[2015-04-23 23:58:00] Importing to User talk:Hazard-SJ
5[2015-04-23 23:58:00] Importing header
6
7Fatal error: Call to a member function getArticleId() on a non-object in /srv/mediawiki-staging/php-1.26wmf3/extensions/WikimediaEvents/WikimediaEventsHooks.php on line 43

See https://git.wikimedia.org/blob/mediawiki%2Fextensions%2FWikimediaEvents.git/wmf%2f1.26wmf3/WikimediaEventsHooks.php#L43

Details

Related Gerrit Patches:
mediawiki/core : wmf/1.26wmf3Bump WikimediaEvents for null dereference in XAnalytics listener
mediawiki/extensions/WikimediaEvents : wmf/1.26wmf3The title can be null for internal API requests.
mediawiki/extensions/WikimediaEvents : masterThe title can be null for internal API requests.

Event Timeline

greg removed a subscriber: greg.Apr 24 2015, 3:07 AM

Change 206352 had a related patch set uploaded (by Mattflaschen):
The title can be null for internal API requests.

https://gerrit.wikimedia.org/r/206352

Catrope closed this task as Resolved.Apr 24 2015, 5:36 PM
Catrope moved this task from QA Review to Done on the Collaboration-Team-Sprint-A-2015-05-06 board.
Catrope added a subscriber: Catrope.

Change 206352 merged by jenkins-bot:
The title can be null for internal API requests.

https://gerrit.wikimedia.org/r/206352

Change 206959 had a related patch set uploaded (by Mattflaschen):
The title can be null for internal API requests.

https://gerrit.wikimedia.org/r/206959

Change 206959 merged by jenkins-bot:
The title can be null for internal API requests.

https://gerrit.wikimedia.org/r/206959

Change 206965 had a related patch set uploaded (by Mattflaschen):
Bump WikimediaEvents for null dereference in XAnalytics listener

https://gerrit.wikimedia.org/r/206965

Change 206965 merged by jenkins-bot:
Bump WikimediaEvents for null dereference in XAnalytics listener

https://gerrit.wikimedia.org/r/206965